<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <object id="CacheAspect" type="Spring.Aspects.Cache.CacheAspect, Spring.Aop"/>

  <object id="ListarClassesCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="00:05:00"/>
  </object>

  <object id="ObterParametroCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="00:30:00"/>
  </object>

  <object id="ObterTipoParametroCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="00:30:00"/>
  </object>

  <object id="ObterClienteCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="00:10:00"/>
  </object>

  <object id="ListarEstadosCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ListarCidadesPorEstadoCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ListarClassificacoesCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ListarVendedoresRelacionadosCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ListarSituacoesOrcamentoCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ObterSituacaoOrcamentoCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ObterFilialCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ObterFilialIntCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ListarFiliaisCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ObterTipoEntregaCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ConsultarDisponibilidadeCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ConsultarSistemaTintometricoCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  <object id="ListarTiposEntregaCache" type="MicroUniverso.Spring.Caching.ExpirationCache, MicroUniverso.Spring">
    <property name="TimeToLive" value="20:00:00"/>
  </object>

  

  <object type="Spring.Aop.Framework.AutoProxy.ObjectNameAutoProxyCreator, Spring.Aop">
    <property name="ObjectNames">
      <list>
        <value>*Repository*</value>
        <value>*Rules*</value>
      </list>
    </property>
    <property name="InterceptorNames">
      <list>
        <value>CacheAspect</value>
      </list>
    </property>
  </object>
</objects>